Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1989 - FTP Install bug
Summary: FTP Install bug
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 5.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-04 23:21 UTC by nathan
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-07 20:26:08 UTC


Attachments (Terms of Use)

Description nathan 1999-04-04 23:21:54 UTC
This tftpboot.img on SPARC, I assume the installer is the
same across architectures.

When installing over an FTP server, the installer connects
first (to download base/hdlist and base/comp). Then it
presents the list of packages, waits for the user to check
which packages he/she wants -- then assumes the connection
to the FTP server is still open. In reality, package
selection may take a bit longer than 300 seconds (or even
900 seconds). At this point, the installer is unable to
get even the first package, dies, and shuts down.

Verified: just accepting the default package selection,
the installation gets underway with no problems.

Fix: disconnect before, and reconnect after, package
selection to the ftp server

Comment 1 David Lawrence 1999-04-07 20:26:59 UTC
This should be fixed in the next release.


Note You need to log in before you can comment on or make changes to this bug.